package com.mvc.entity;

import java.util.Date;

public class TMarkRecord {
    private Integer id;

    private String deviceSn;

    private String stationCode;

    private String stationName;

    private Integer markId;

    private String markDescription;

    private String createMan;

    private Date createTime;

    private String processResults;

    private Date processTime;

    private String processMan;

    private String reviewFlag;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName == null ? null : stationName.trim();
    }

    public Integer getMarkId() {
        return markId;
    }

    public void setMarkId(Integer markId) {
        this.markId = markId;
    }

    public String getMarkDescription() {
        return markDescription;
    }

    public void setMarkDescription(String markDescription) {
        this.markDescription = markDescription == null ? null : markDescription.trim();
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getProcessResults() {
        return processResults;
    }

    public void setProcessResults(String processResults) {
        this.processResults = processResults == null ? null : processResults.trim();
    }

    public Date getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Date processTime) {
        this.processTime = processTime;
    }

    public String getProcessMan() {
        return processMan;
    }

    public void setProcessMan(String processMan) {
        this.processMan = processMan == null ? null : processMan.trim();
    }

    public String getReviewFlag() {
        return reviewFlag;
    }

    public void setReviewFlag(String reviewFlag) {
        this.reviewFlag = reviewFlag == null ? null : reviewFlag.trim();
    }
}